Latest 1.0.0
Homepage https://github.com/DeveloperLx/LxWaveLayer
License MIT
Platforms ios 6.0, requires ARC
Frameworks UIKit
Authors
Easily add wave animation.

Installation

You only need drag LxWaveLayer.h and LxWaveLayer.m to your project.

CocoaPods

pod 'LxWaveLayer', '~> 1.0.1'

Support

Minimum support iOS version: iOS 6.0

Usage

    #import "LxWaveLayer.h"

    //  setup
    _waveLayer = [LxWaveLayer layer];
    [_waveLayer deployOnView:SUPER_VIEW];

    //  begin animation
    [_waveLayer beginWaveAnimation];

    //  stop animation
    [_waveLayer stopWaveAnimation];

    //  adjust property
    _waveLayer.fillColor = WAVE_COLOR.CGColor;
    _waveLayer.waveHeight = 180;
    _waveLayer.waveAmplitude = 6;
    _waveLayer.wavePeriod = 270;
    _waveLayer.waveSpeed = 240;
    _waveLayer.wavePhase = 80;

License

LxWaveLayer is available under the MIT License. See the LICENSE file for more info.

Latest podspec

{
    "name": "LxWaveLayer",
    "version": "1.0.0",
    "summary": "Easily add wave animation.",
    "homepage": "https://github.com/DeveloperLx/LxWaveLayer",
    "license": "MIT",
    "authors": {
        "DeveloperLx": "[email protected]"
    },
    "platforms": {
        "ios": "6.0"
    },
    "source": {
        "git": "https://github.com/DeveloperLx/LxWaveLayer.git",
        "tag": "1.0.0"
    },
    "source_files": "LxWaveLayer/LxWaveLayer.*",
    "requires_arc": true,
    "frameworks": "UIKit"
}

Pin It on Pinterest

Share This